%% A = a matrix, the columns of which are to be thought of as a collection of vectors
%% the function returns another matrix B, the columns of which form a basis for the span of the columns of A
function B=spanningSetToBasis(A)
	B=[]; %% initialize B to be empty matrix
	%% Hint: loop over the columns of A, add them to B if needed
	[rows columns]=size(A);
	for i=1:columns
		if ~isInSpan(B,A(:,i))
			B=[B A(:,i)];
		end
	end
end
