%% B is an augmented matrix, thought of as coming from a system of linear equations
%% the function hasSolution returns true if the system has a solution, false if no
function val=hasSolution(B)
	B=rref(B);
	[rows columns]=size(B);
	val=true;
	badRow=zeros(1,columns);
	badRow(1,columns)=1; % badRow is now [0 0 0 ... 0 1]
	for i=1:rows
		if B(i,:)==badRow
			val=false;
		end
	end
end
